'Sub relay_control()

',  ELCUT     
'    x=0
'LabelMover file relay.qva 

' 
Dim x_out			' As Double
Dim x_in			' As Double
Dim m_mass		' As Double
Dim k			' As Double
Dim x_spring_free 		' As Double

x_out = 0.01        		'  , 
x_in = 0.006        		'  , 
m_mass = 0.0045     	'  , 
k = 4.0               		'   , /
x_spring_free = 0.015     	'   , 


' 
Dim t_time 		' As Double
Dim x_position 	' As Double
Dim v_speed 		' As Double

t_time = 0.0    		' , 
x_position = x_out  		'  , 
v_speed = 0.0         		'  , /

'  , 
Dim dt_time_step		' As Double
dt_time_step = 0.005



Dim theForce		' As Double
Dim max_time		' As Double
max_time = 0.2        		'   , 


While (t_time < max_time) And (x_position > x_in)
'    
    theForce = getELCForceX(x_position)
'    
    theForce = theForce + (x_spring_free - x_position) * k
'    
    v_speed = v_speed + theForce / m_mass * dt_time_step
'   
    x_position = x_position + v_speed * dt_time_step
    t_time = t_time + dt_time_step

''''''''''''''
'     LabelMover
''''''''''''''
Wend

'End Sub


Function getELCForceX(x_position)
'   ELCUT
',  ELCUT     
'    x=0
'LabelMover file relay.qva 


' 0.  LabelMover (  ELCUT)
' 1.   
' 2.   ,   
Dim qlm			' As qlm.SimpleInterface
Set qlm = CreateObject("qlm.SimpleInterface")

' 1.   
Call qlm.SetVariation (0, x_position)
' 2.   ,   
Call qlm.Solve
getELCForceX = qlm.GetResult(0)
'     LabelMover
End Function